<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

wp_register_style( 'bootstrap', WOO2APP_CSS_URL.'bootstrap.css'  );
wp_enqueue_style('bootstrap');


if ( isset( $_POST['send_notif_wp2appir'] ) &&
     wp_verify_nonce( $_POST[send_notif_wp2appir], 'wp2appir_send_notif' ) && current_user_can("update_plugins") ) {

	$email = get_option('email_WOO2APP');
	$pass = get_option('password_WOO2APP');
	$appid = get_option('appid_WOO2APP');

	if($_POST["select_notif_hami"] == 1){
		$value = $_POST["txt_link"];
		$action = 1;
	}elseif ($_POST["select_notif_hami"] == 2) {
		$value = $_POST["value_post_notif"];
		$action = 4;
	}elseif ($_POST["select_notif_hami"] == 3) {
		$action = 3;
		$value = $_POST["value_cat_notif"];
	}

	if($_POST["wp2app_voice"] == 1){
		$data = array(
			"sound" => 1,
			"title" => "",
			"description" => $_POST["txt_title"],
			"action" => $action,
			"value" => $value
		);
		$data = json_encode($data);
		$data = array(
			"data" => $data
		);
	}elseif($_POST["wp2app_voice"] == 2){
		$data = array(
			"sound" => 2,
			"title" => "",
			"description" => $_POST["txt_title"],
			"action" => $action,
			"value" => $value
		);
		$data = json_encode($data);
		$data = array(
			"data" => $data
		);
	}


	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, "http://panel.wp2app.ir/panel/api/send_notification2all?email=$email&password=$pass&app_id=$appid");
	curl_setopt($ch, CURLOPT_HTTPHEADER, array(
		"Content-Type:multipart/form-data"	));
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
	curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
	curl_setopt($ch, CURLOPT_POST, TRUE);
	curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
	$response = curl_exec($ch);
	curl_close($ch);

}

?>
    <div class="col-md-12">

        <div class="col-md-6"></div>
        <div class="col-md-6 " style="margin-top: 10px;">
            <div class="panel panel-default">
                <div class="panel-heading">
                    ارسال نوتیفیکیشن
                </div>
                <div class="panel-body">
                    <form method="POST">
                        <div class="col-md-12">
							<?php
							$email = get_option('email_WOO2APP');
							$pass = get_option('password_WOO2APP');
							$appid = get_option('appid_WOO2APP');
							if(!$email && !$pass && !$appid){
								?>
                                <p>
                                    برای ازسال نوتیفیکیشن لاگین کنید.
                                    <a href="<?php menu_page_url('wp2appir/pages/wp2appir_login.php'); ?>">صفحه ورود</a>
                                </p>
								<?php
							}
							?>
                        </div>
                        <div class="col-md-12">
                            <p>
                                توجه : در هنگام قرار دادن لینک حتما مقدار وارد شده را با http یا https وارد نمایید./
                            </p>
                        </div>
						<?php wp_nonce_field('wp2appir_send_notif' , 'send_notif_wp2appir'); ?>
                        <div class="col-md-12" >
							<?php
							if($_SESSION['alert_t'] == 'alert_t'){
								?>
                                <div class="alert alert-success">
                                    پیام شما ارسال شد.
                                </div>
							<?php } ?>
							<?php
							if($_SESSION['alert_t'] == 'danger'){
								?>
                                <div class="alert alert-danger">
                                    لطفا فیلدها را پر کنید.
                                </div>
							<?php } ?>
                        </div>
                        <div class="col-md-12">
                            <div class="col-md-6 pill-right">
                                <p>
                                    <input checked="" type="radio" class="form-control" value="2" name="wp2app_voice" id="wp2app_silent">
                                    <span>بی صدا</span>
                                </p>
                            </div>
                            <div class="col-md-6 pill-right">
                                <p>
                                    <input checked="" type="radio" class="form-control" value="1" name="wp2app_voice" id="wp2app_voice">
                                    <span>با صدا</span>
                                </p>
                            </div>
                        </div>
                        <div class="col-md-12" style="margin-bottom : 10px;">
                            <div class="col-md-10" style="padding:0px; ">
                                <textarea name="txt_title" class="form-control text-right"></textarea>
                            </div>
                            <div class="col-md-2 text-right" style="padding:0px;">
                                عنوان پیام :
                            </div>
                        </div>

                        <div class="col-md-12" style="margin-bottom : 10px;">
                            <div class="col-md-10" style="padding:0px; ">

                                <select id="select_notif_hami" name="select_notif_hami" class="form-control">
                                    <option value="1">لینک</option>
                                    <option value="2"> محصولات</option>
                                    <option value="3">دسته بندی</option>
                                </select>
                            </div>
                            <div class="col-md-2 text-right" style="padding:0px;">
                                نوع :
                            </div>
                        </div>

                        <div class="col-md-12 hide" id="product_list_notif" style="margin-top:10px;padding:0px;">
                            <div class="col-md-12" style="margin-bottom:10px;">
                                <input type="text" id="search_product_notif" class="form-control" style="height:40px;" placeholder="لطفا محصول خود را جستجو کنید(حداقل سه کاراکتر)">
                            </div>
                            <!--<div class="col-md-12 hide" id="loading_product">
                            <img style="width:25px;height:25px;" id="img_load" src="<?php echo WP_PLUGIN_URL."/".dirname( plugin_basename( __FILE__ ) ).'/../files/img/load.gif' ?>">
                        </div>-->
                            <div class="col-md-12" style="margin-bottom:10px;">
                                <select id="value_post_notif" name="value_post_notif" class="form-control"></select>
                            </div>
                        </div>

                        <div class="col-md-12 hide" id="category_list_notif" style="margin-top:10px;">
                            <select style="height:40px;" name="value_cat_notif" id="value_cat_notif" class="selectpicker col-md-12 form-control" data-live-search="true" title="انتخاب کنید...">
                                <option value="0" style="text-align:right;">دسته خود را انتخاب کنید</option>
								<?php
								$args = array('hide_empty' => 0 ,
								              'taxonomy' => 'product_cat'
								);
								$cats = get_categories($args);
								foreach ($cats as $cat) {
									?>
                                    <option style="text-align:right;" value="<?= $cat->slug; ?>"><?= $cat->name; ?></option>
									<?php
								}
								?>
                            </select>
                        </div>

                        <div id="link_notif_hami" class="col-md-12 " style="margin-bottom : 10px;">
                            <div class="col-md-10" style="padding:0px;">
                                <input type="text" name="txt_link" class="form-control text-left " style="direction:ltr;" placeholder="[http || https] :// mysite.ir">
                            </div>
                            <div class="col-md-2 text-right" style="padding:0px;">
                                لینک پیام :
                            </div>
                        </div>

                        <div class="col-md-12" style="padding:0px;">
                            <div class="col-md-6 text-left">
                                <button type="submit" class="btn btn-default">
                                    ارسال
                                    <label class="fa fa-2x fa-save"></label>
                                </button>
                            </div>
                            <div class="col-md-6"></div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
<?php
wp_enqueue_script( 'notification_hami.js' , WOO2APP_JS_URL.'notification_hami.js', array('jquery'));
?>